Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Slack needs libappindicator

  1. #1
    Join Date
    Jan 2010
    Location
    New Jersey, USA
    Posts
    66

    Default Slack needs libappindicator

    I'm having trouble finding libappindicator binaries for OpenSUSE 42.3
    Where should I get the rpm - or what repository should I add ?
    Thanks !!

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,065

    Default AW: Slack needs libappindicator

    Post:
    Code:
    zypper se -s libappin

  3. #3
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,217
    Blog Entries
    15

    Default Re: Slack needs libappindicator

    Quote Originally Posted by qawtbh View Post
    I'm having trouble finding libappindicator binaries for OpenSUSE 42.3
    Where should I get the rpm - or what repository should I add ?
    Thanks !!
    Hi
    They are present?

    Code:
     zypper se appindicator
    Loading repository data...
    Reading installed packages...
    
    S | Name                          | Summary                                                | Type   
    --+-------------------------------+--------------------------------------------------------+--------
      | NetworkManager-appindicator   | GNOME applications for use with NetworkManager         | package
      | libappindicator-devel         | Development files for libappindicator                  | package
      | libappindicator-doc           | Documentation for libappindicator and libappindicator3 | package
      | libappindicator1              | Application indicators library                         | package
      | libappindicator3-1            | Application indicators library -- GTK+ 3               | package
      | libappindicator3-devel        | Development files for libappindicator3                 | package
      | perl-Gtk2-AppIndicator        | Perl interface to the libappindicator                  | package
      | python-appindicator           | Python 2 bindings for libappindicator                  | package
      | typelib-1_0-AppIndicator-0_1  | Application indicators library                         | package
      | typelib-1_0-AppIndicator3-0_1 | Application indicators library                         | package
    
    zypper if libappindicator1
    
    Information for package libappindicator1:
    -----------------------------------------
    Repository     : openSUSE-Leap-42.3-0                       
    Name           : libappindicator1                           
    Version        : 12.10.1+bzr20141110-7.3                    
    Arch           : x86_64                                     
    Vendor         : openSUSE                                   
    Installed Size : 84.6 KiB                                   
    Installed      : No                                         
    Status         : not installed                              
    Source package : libappindicator-12.10.1+bzr20141110-7.3.src
    Summary        : Application indicators library             
    Description    :                                            
        A library to allow applications to export a menu into the Unity Menu bar. Based
        on KSNI it also works in KDE and will fallback to generic Systray support if
        none of those are available.
    You might also need the typelib if you run lld against the binary, it should tell you what's not found.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  4. #4
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,475
    Blog Entries
    2

    Default Re: Slack needs libappindicator

    FYI -
    I wrote the following as a guide/reference for people to use for finding dependencies and other files...

    https://en.opensuse.org/User:Tsu2/Mi...s_Dependencies

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  5. #5
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,079

    Default Re: Slack needs libappindicator

    On Mon, 17 Dec 2018 15:46:04 +0000, qawtbh wrote:

    > I'm having trouble finding libappindicator binaries for OpenSUSE 42.3
    > Where should I get the rpm - or what repository should I add ? Thanks !!


    FWIW, I installed Slack here and got the same warning - I installed
    libappindicator1 and libappindicator3-1, and it still complained that the
    dependencies were missing (the RPM is a Fedora package IIRC), so I just
    installed and told it to ignore the missing dependencies. Seems to work
    OK anyways.

    Jim



    --
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

  6. #6
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,217
    Blog Entries
    15

    Default Re: Slack needs libappindicator

    On Tue 18 Dec 2018 12:51:46 AM CST, Jim Henderson wrote:

    On Mon, 17 Dec 2018 15:46:04 +0000, qawtbh wrote:

    > I'm having trouble finding libappindicator binaries for OpenSUSE 42.3
    > Where should I get the rpm - or what repository should I add ?
    > Thanks !!


    FWIW, I installed Slack here and got the same warning - I installed
    libappindicator1 and libappindicator3-1, and it still complained that
    the dependencies were missing (the RPM is a Fedora package IIRC), so I
    just installed and told it to ignore the missing dependencies. Seems
    to work OK anyways.

    Jim



    Hi
    Only libappindicator3 here, never installed the rpm, just extracted and
    ran as my user, started up fine with installed libs....

    --
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SLES 15 | GNOME Shell 3.26.2 | 4.12.14-25.25-default
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!


  7. #7
    Join Date
    Jan 2010
    Location
    New Jersey, USA
    Posts
    66

    Default Re: Slack needs libappindicator

    I installed with no dependencies and will test. Thanks for all the feedback.
    rpm -i --nodeps slack-3.3.3-0.1.fc21.x86_64.rpm

  8. #8
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,475
    Blog Entries
    2

    Default Re: Slack needs libappindicator

    According to

    https://launchpad.net/libappindicator

    Suggests that if it's not installed, you won't have a notification icon in your menu bar, at least if you're running KDE (I assume no one is running the Unity Desktop on openSUSE). Don't know if the same would happen in other Desktops.

    For those who believe that notifications are a critical real time feature of Slack, this might be a significant issue, assuming that notifications may not display without this widget (or whatever you want to call it).

    I'd say this is a significant bug to submit to Slack, especially since it's a mostly paid product (seems to be free for FOSS and individuals) for business use. I did a quick look around to see if there is a public Slack project but I couldn't tell which results might be related to the Slack app and which might be extensions of Slack except a couple that are almost certainly related to the Dashboard and wouldn't have any notification functionality.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  9. #9
    Join Date
    Jan 2010
    Location
    New Jersey, USA
    Posts
    66

    Default Re: Slack needs libappindicator

    Thanks again
    Slack seems to work OK, but as expected - notifications are not seen.
    Not a showstopper for me.

  10. #10
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,079

    Default Re: Slack needs libappindicator

    On Tue, 18 Dec 2018 05:06:03 +0000, tsu2 wrote:

    > Suggests that if it's not installed, you won't have a notification icon
    > in your menu bar, at least if you're running KDE (I assume no one is
    > running the Unity Desktop on openSUSE). Don't know if the same would
    > happen in other Desktops.


    FWIW, with my installation, I do get the notification bar icon in GNOME.
    So it seems it's just the way it's coded in the RPM isn't finding the
    library, but the app does.

    Jim



    --
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •